#coding: utf-8
from jeb.api import IScript
from jeb.api.ui import View

class DecompileMethod(IScript):
    def run(self, jeb):
        ui = jeb.getUI()
        # get assembly view
        view = ui.getView(View.Type.ASSEMBLY)

        # get signature from caret position
        msig = view.getCodePosition().getSignature()

        print("[%s]" % msig)
        print(jeb.decompileMethod(msig))
